%define upstream_name    XML-SemanticDiff
%define upstream_version 1.0007

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Default handler class for XML::SemanticDiff
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Encode)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Test)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(XML::Parser)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
XML::SematicDiff provides a way to compare the contents and structure of
two XML documents. By default, it returns a list of hashrefs where each
hashref describes a single difference between the two docs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.0.700-5.mga10
+ Revision: 2204815
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.0.700-4.mga9
+ Revision: 1810654
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.700-3.mga8
+ Revision: 1507042
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.0.700-2.mga7
+ Revision: 1287319
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 shlomif <shlomif> 1.0.700-1.mga7
+ Revision: 1254053
- update to 1.0007

* Tue Oct 03 2017 tv <tv> 1.0.600-2.mga7
+ Revision: 1167465
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 1.0.600-1.mga7
+ Revision: 1160719
- new release

* Thu Sep 21 2017 guillomovitch <guillomovitch> 1.0.500-1.mga7
+ Revision: 1156713
- new version 1.0005

* Sun Jun 19 2016 pterjan <pterjan> 1.0.400-5.mga6
+ Revision: 1036158
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 1.0.400-4.mga6
+ Revision: 941917
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.400-3.mga5
+ Revision: 750121
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.400-2.mga5
+ Revision: 686964
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 1.0.400-1.mga5
+ Revision: 588843
- update to 1.0004
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild
+ shlomif <shlomif>
- New version 1.0002

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 375181
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 16 2011 shlomif <shlomif> 1.0.0-1.mga2
+ Revision: 182737
- imported package perl-XML-SemanticDiff


* Tue Jun 28 2011 cpan2dist 1.0000-1mga
- initial mageia release, generated with cpan2dist
